AXD(1)

NAME
axd - the Afnix Cross Debugger

SYNOPSIS
axd [ options ] [ file [ arguments ] ]

DESCRIPTION
axd invokes the Afnix Cross Debugger. Axd permits to debug an Afnix program by inserting breakpoint at strategic positions in the source code. During a debugging session, when a breakpoint is reached, the program is suspended and the debugger prompt is shown. Since the debugger is based on the Afnix interpreter, the full power of the Afnix interpreter is available at the debugger prompt.

OPTIONS

-h  prints an help message.

-v  displays the program version.

-i path
    add a path to the resolver.

-f assert
    enable assertion checking.

-f emacs
    enable emacs mode.

OPERATIONS
All commands are special forms located in the axd nameset. A qualified name is required to issue a command. A list with the principal commands available is given below. Since the debugger is built on top of the Afnix interpreter, the full power of the interpreter is available at the command prompt.

axd:exit
    exit the debugger.

axd:run
    run the program.

axd:break
    install a breakpoint.

axd:continue
    resume the program execution.

VERSION
The current version is 1.0.0

SEE ALSO
afnix(1), axc(1), axl(1)

DEBIAN NOTES
Afnix comes with an extensive documentation. With Debian, look into /usr/share/doc/afnix-doc for more information. You might need to install the afnix-doc package.

FREEBSD NOTES
Afnix comes with an extensive documentation. With FreeBSD, you can download the formated documentation from <ftp.afnix.org>.

AUTHOR
axd has been written by Amaury Darsch <amaury@ethernix.org>.

HISTORY
axd originally appeared in the Aleph programming project which became the Afnix project afterall. The Aleph programming language has been discontinued.